Package org.jcsp.net.settings

# Class NodeProfiles

java.lang.Object
org.jcsp.net.settings.NodeProfiles

public class NodeProfiles extends Object
Used internally within the JCSP network infrastructure to represent a set of node profiles.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`NodeProfiles()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProfile(NodeProfile p)`
`NodeProfile`
`getLastProfile()`
`NodeProfile`
`getProfile(String name)`
`NodeProfile[]`
`getProfiles()`
`void`
`removeProfile(NodeProfile p)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NodeProfiles

public NodeProfiles()

## Method Details

### addProfile

public void addProfile(NodeProfile p)

### removeProfile

public void removeProfile(NodeProfile p)

### getProfile

public NodeProfile getProfile(String name)

### getProfiles

public NodeProfile[] getProfiles()

### getLastProfile

public NodeProfile getLastProfile()

### toString

public String toString()

Overrides:
  `toString` in class `Object`